FEATHERS(1)

NAME
feathers - a simple source-level debugger for CHICKEN Scheme

SYNOPSIS
feathers [OPTION ...] [PROGRAM ARGUMENTS ...]

DESCRIPTION
feathers runs a program compiled with CHICKEN Scheme and allows basic source-level debugging like setting breakpoints, single-stepping and inspection of procedure arguments and global variables.

The Scheme code must be compiled with debug-level 3 for debugging to be possible. Communication with the debugger takes place by exchanging messages over a TCP socket, the address and port being given by the environment variable CHICKEN_DEBUGGER which holds a connection address of the form <ADDRESS>:<PORT>.

PROGRAM must give the path to the executable that is to be run, PATH is not searched.

The program accepts following arguments:

-help
    Shows a list of supported command-line options.

-n  Do not load the default startup file .feathers.

-d  TODO: Document this

-dir DIRECTORY
    Add DIRECTORY to the list of searched paths for locating source files.

-port PORT
    Select a different TCP port than the default (9999).

ENVIRONMENT
The following environment variables change the behaviour of feathers:

CHICKEN_DEBUGGER
    Should hold a TCP server address and port where the debugger is listening. This variable is set by the debugger when a program is run from it, and defaults to localhost:9999

EXIT STATUS

SEE ALSO
chicken(1), csc(1), csi(1)

More information can be found in the CHICKEN User's Manual: http://wiki.call-cc.org/manual/index.

AUTHORS
The CHICKEN Team

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org